/**
 * @author zhaoyingbo
 * @desc 项目配置文件配置信息
 */

export const CANARY_CONFIG_FILE = 'canary-config.json';

export const PROJECT_CONFIG = {
  dir: './.canary',
  defaultConfig: {
    isJsProj: true,
    canaryDir: './.canary',
    srcLang: 'zh-CN',
    distLangs: ['en-US', 'zh-CN'],
    googleApiKey: '',
    baiduApiKey: {
      appId: '',
      appKey: ''
    },
    baiduLangMap: {
      ['en-US']: 'en',
      ['zh-TW']: 'cht'
    },
    translateOptions: {
      concurrentLimit: 10,
      requestOptions: {}
    },
    defaultTranslateKeyApi: 'Pinyin', // 批量提取文案时生成key值时的默认翻译源
    importI18N: `import I18N from 'src/utils/I18N';`,
    ignoreDir: '',
    ignoreFile: ''
  },
  langMap: {
    ['en-US']: 'en',
    ['en_US']: 'en'
  },
  zhIndexFile: `import common from './common';

export default Object.assign({}, {
  common
});`,
  zhTestFile: `export default {
  test: '测试'
}`,
};
